"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("./index");
it('from should return a min-width media query', () => {
    const min = 'mobile';
    expect(index_1.from[min]).toBe(`@media (min-width: ${`${index_1.breakpoints[min]}px`})`);
});
it('until should return a max-width media query', () => {
    const max = 'wide';
    expect(index_1.until[max]).toBe(`@media (max-width: ${`${index_1.breakpoints[max] - 1}px`})`);
});
it('between should return a media query with min- and max-width', () => {
    const min = 'tablet';
    const max = 'desktop';
    expect(index_1.between[min].and[max]).toBe(`@media (min-width: ${`${index_1.breakpoints[min]}px`}) and (max-width: ${`${index_1.breakpoints[max] - 1}px`})`);
});
//# sourceMappingURL=mq.test.js.map