import { breakpoints, from, until, between } from './index';
it('from should return a min-width media query', () => {
    const min = 'mobile';
    expect(from[min]).toBe(`@media (min-width: ${`${breakpoints[min]}px`})`);
});
it('until should return a max-width media query', () => {
    const max = 'wide';
    expect(until[max]).toBe(`@media (max-width: ${`${breakpoints[max] - 1}px`})`);
});
it('between should return a media query with min- and max-width', () => {
    const min = 'tablet';
    const max = 'desktop';
    expect(between[min].and[max]).toBe(`@media (min-width: ${`${breakpoints[min]}px`}) and (max-width: ${`${breakpoints[max] - 1}px`})`);
});
//# sourceMappingURL=mq.test.js.map